Package com.independentsoft.office.word.customMarkup

# Class StructuredDocumentTagProperties

java.lang.Object
com.independentsoft.office.word.customMarkup.StructuredDocumentTagProperties

public class StructuredDocumentTagProperties extends Object
The Class StructuredDocumentTagProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StructuredDocumentTagProperties()`
  Instantiates a new structured document tag properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StructuredDocumentTagProperties`
  `clone()`
  `String`
  `getAlias()`
  Gets the alias.
  `BuiltinDocumentPart`
  `getBuiltinDocumentPart()`
  Gets the builtin document part.
  `StandardDocumentTagCheckBox`
  `getCheckBox()`
  Gets the check box.
  `ComboBox`
  `getComboBox()`
  Gets the combo box.
  `DataBinding`
  `getDataBinding()`
  Gets the data binding.
  `StructuredDocumentTagDate`
  `getDate()`
  Gets the date.
  `DocumentPartGallery`
  `getDocumentPartGallery()`
  Gets the document part gallery.
  `DropDownList`
  `getDropDownList()`
  Gets the drop down list.
  `long`
  `getID()`
  Gets the id.
  `LockingType`
  `getLocking()`
  Gets the locking.
  `String`
  `getPlaceholder()`
  Gets the placeholder.
  `RunProperties`
  `getRunProperties()`
  Gets the run properties.
  `ExtendedBoolean`
  `getShowingPlaceholderText()`
  Gets the showing placeholder text.
  `String`
  `getTag()`
  Gets the tag.
  `ExtendedBoolean`
  `getTemporary()`
  Gets the temporary.
  `StructuredDocumentTagText`
  `getText()`
  Gets the text.
  `boolean`
  `isBibliography()`
  Checks if is bibliography.
  `boolean`
  `isCitation()`
  Checks if is citation.
  `boolean`
  `isEquation()`
  Checks if is equation.
  `boolean`
  `isGroup()`
  Checks if is group.
  `boolean`
  `isPicture()`
  Checks if is picture.
  `boolean`
  `isRichText()`
  Checks if is rich text.
  `void`
  `setAlias​(String alias)`
  Sets the alias.
  `void`
  `setBibliography​(boolean isBibliography)`
  Sets the bibliography.
  `void`
  `setBuiltinDocumentPart​(BuiltinDocumentPart builtinDocumentPart)`
  Sets the builtin document part.
  `void`
  `setCheckBox​(StandardDocumentTagCheckBox checkBox)`
  Sets the check box.
  `void`
  `setCitation​(boolean isCitation)`
  Sets the citation.
  `void`
  `setComboBox​(ComboBox comboBox)`
  Sets the combo box.
  `void`
  `setDataBinding​(DataBinding dataBinding)`
  Sets the data binding.
  `void`
  `setDate​(StructuredDocumentTagDate date)`
  Sets the date.
  `void`
  `setDocumentPartGallery​(DocumentPartGallery documentPartGallery)`
  Sets the document part gallery.
  `void`
  `setDropDownList​(DropDownList dropDownList)`
  Sets the drop down list.
  `void`
  `setEquation​(boolean isEquation)`
  Sets the equation.
  `void`
  `setGroup​(boolean isGroup)`
  Sets the group.
  `void`
  `setID​(long id)`
  Sets the id.
  `void`
  `setLocking​(LockingType locking)`
  Sets the locking.
  `void`
  `setPicture​(boolean isPicture)`
  Sets the picture.
  `void`
  `setPlaceholder​(String placeholder)`
  Sets the placeholder.
  `void`
  `setRichText​(boolean isRichText)`
  Sets the rich text.
  `void`
  `setShowingPlaceholderText​(ExtendedBoolean showingPlaceholderText)`
  Sets the showing placeholder text.
  `void`
  `setTag​(String tag)`
  Sets the tag.
  `void`
  `setTemporary​(ExtendedBoolean temporary)`
  Sets the temporary.
  `void`
  `setText​(StructuredDocumentTagText text)`
  Sets the text.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StructuredDocumentTagProperties

    public StructuredDocumentTagProperties()
    Instantiates a new structured document tag properties.

- ## Method Details

  - ### clone

    public StructuredDocumentTagProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRunProperties

    public RunProperties getRunProperties()
    Gets the run properties.
    Returns:
      the run properties

  - ### getAlias

    public String getAlias()
    Gets the alias.
    Returns:
      the alias

  - ### setAlias

    public void setAlias​(String alias)
    Sets the alias.
    Parameters:
      `alias` - the new alias

  - ### getPlaceholder

    public String getPlaceholder()
    Gets the placeholder.
    Returns:
      the placeholder

  - ### setPlaceholder

    public void setPlaceholder​(String placeholder)
    Sets the placeholder.
    Parameters:
      `placeholder` - the new placeholder

  - ### getShowingPlaceholderText

    public ExtendedBoolean getShowingPlaceholderText()
    Gets the showing placeholder text.
    Returns:
      the showing placeholder text

  - ### setShowingPlaceholderText

    public void setShowingPlaceholderText​(ExtendedBoolean showingPlaceholderText)
    Sets the showing placeholder text.
    Parameters:
      `showingPlaceholderText` - the new showing placeholder text

  - ### getTemporary

    public ExtendedBoolean getTemporary()
    Gets the temporary.
    Returns:
      the temporary

  - ### setTemporary

    public void setTemporary​(ExtendedBoolean temporary)
    Sets the temporary.
    Parameters:
      `temporary` - the new temporary

  - ### getDataBinding

    public DataBinding getDataBinding()
    Gets the data binding.
    Returns:
      the data binding

  - ### setDataBinding

    public void setDataBinding​(DataBinding dataBinding)
    Sets the data binding.
    Parameters:
      `dataBinding` - the new data binding

  - ### getLocking

    public LockingType getLocking()
    Gets the locking.
    Returns:
      the locking

  - ### setLocking

    public void setLocking​(LockingType locking)
    Sets the locking.
    Parameters:
      `locking` - the new locking

  - ### isBibliography

    public boolean isBibliography()
    Checks if is bibliography.
    Returns:
      true, if is bibliography

  - ### setBibliography

    public void setBibliography​(boolean isBibliography)
    Sets the bibliography.
    Parameters:
      `isBibliography` - the new bibliography

  - ### isCitation

    public boolean isCitation()
    Checks if is citation.
    Returns:
      true, if is citation

  - ### setCitation

    public void setCitation​(boolean isCitation)
    Sets the citation.
    Parameters:
      `isCitation` - the new citation

  - ### getComboBox

    public ComboBox getComboBox()
    Gets the combo box.
    Returns:
      the combo box

  - ### setComboBox

    public void setComboBox​(ComboBox comboBox)
    Sets the combo box.
    Parameters:
      `comboBox` - the new combo box

  - ### getDate

    public StructuredDocumentTagDate getDate()
    Gets the date.
    Returns:
      the date

  - ### setDate

    public void setDate​(StructuredDocumentTagDate date)
    Sets the date.
    Parameters:
      `date` - the new date

  - ### getDocumentPartGallery

    public DocumentPartGallery getDocumentPartGallery()
    Gets the document part gallery.
    Returns:
      the document part gallery

  - ### setDocumentPartGallery

    public void setDocumentPartGallery​(DocumentPartGallery documentPartGallery)
    Sets the document part gallery.
    Parameters:
      `documentPartGallery` - the new document part gallery

  - ### getBuiltinDocumentPart

    public BuiltinDocumentPart getBuiltinDocumentPart()
    Gets the builtin document part.
    Returns:
      the builtin document part

  - ### setBuiltinDocumentPart

    public void setBuiltinDocumentPart​(BuiltinDocumentPart builtinDocumentPart)
    Sets the builtin document part.
    Parameters:
      `builtinDocumentPart` - the new builtin document part

  - ### getDropDownList

    public DropDownList getDropDownList()
    Gets the drop down list.
    Returns:
      the drop down list

  - ### setDropDownList

    public void setDropDownList​(DropDownList dropDownList)
    Sets the drop down list.
    Parameters:
      `dropDownList` - the new drop down list

  - ### isEquation

    public boolean isEquation()
    Checks if is equation.
    Returns:
      true, if is equation

  - ### setEquation

    public void setEquation​(boolean isEquation)
    Sets the equation.
    Parameters:
      `isEquation` - the new equation

  - ### isGroup

    public boolean isGroup()
    Checks if is group.
    Returns:
      true, if is group

  - ### setGroup

    public void setGroup​(boolean isGroup)
    Sets the group.
    Parameters:
      `isGroup` - the new group

  - ### isPicture

    public boolean isPicture()
    Checks if is picture.
    Returns:
      true, if is picture

  - ### setPicture

    public void setPicture​(boolean isPicture)
    Sets the picture.
    Parameters:
      `isPicture` - the new picture

  - ### getText

    public StructuredDocumentTagText getText()
    Gets the text.
    Returns:
      the text

  - ### setText

    public void setText​(StructuredDocumentTagText text)
    Sets the text.
    Parameters:
      `text` - the new text

  - ### isRichText

    public boolean isRichText()
    Checks if is rich text.
    Returns:
      true, if is rich text

  - ### setRichText

    public void setRichText​(boolean isRichText)
    Sets the rich text.
    Parameters:
      `isRichText` - the new rich text

  - ### getID

    public long getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(long id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getTag

    public String getTag()
    Gets the tag.
    Returns:
      the tag

  - ### setTag

    public void setTag​(String tag)
    Sets the tag.
    Parameters:
      `tag` - the new tag

  - ### getCheckBox

    public StandardDocumentTagCheckBox getCheckBox()
    Gets the check box.
    Returns:
      the check box

  - ### setCheckBox

    public void setCheckBox​(StandardDocumentTagCheckBox checkBox)
    Sets the check box.
    Parameters:
      `checkBox` - the new check box